<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English */
$specialPageAliases['en'] = [
	'EditProfile' => [ 'EditProfile' ],
	'GenerateTopUsersReport' => [ 'GenerateTopUsersReport' ],
	'PopulateUserProfiles' => [ 'PopulateUserProfiles' ],
	'RemoveAvatar' => [ 'RemoveAvatar' ],
	'SendBoardBlast' => [ 'SendBoardBlast' ],
	'TopFansByStatistic' => [ 'TopFansByStatistic' ],
	'TopUsers' => [ 'TopUsers' ],
	'TopUsersRecent' => [ 'TopUsersRecent' ],
	'ToggleUserPage' => [ 'ToggleUserPage' ],
	'UpdateEditCounts' => [ 'UpdateEditCounts' ],
	'UpdateProfile' => [ 'UpdateProfile' ],
	'UploadAvatar' => [ 'UploadAvatar' ],
	'UserBoard' => [ 'UserBoard' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'EditProfile' => [ 'تعديل_الملف' ],
	'GenerateTopUsersReport' => [ 'توليد_تقرير_أعلى_المستخدمين' ],
	'PopulateUserProfiles' => [ 'ملء_ملفات_المستخدمين' ],
	'RemoveAvatar' => [ 'إزالة_أفاتر' ],
	'SendBoardBlast' => [ 'إرسال_بورد_بلاست' ],
	'TopFansByStatistic' => [ 'أعلى_المعجبين_بواسطة_الإحصاءات' ],
	'TopUsers' => [ 'أعلى_المستخدمين' ],
	'TopUsersRecent' => [ 'أحدث_أعلى_المستخدمين' ],
	'ToggleUserPage' => [ 'تغيير_صفحة_المستخدم' ],
	'UpdateEditCounts' => [ 'تحديث_عدادات_التعديلات' ],
	'UpdateProfile' => [ 'تحديث_الملف' ],
	'UploadAvatar' => [ 'رفع_أفاتر' ],
	'UserBoard' => [ 'مجلس_المستخدم' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'EditProfile' => [ 'تعديل_الملف' ],
	'GenerateTopUsersReport' => [ 'توليد_تقرير_اعلى_اليوزرات' ],
	'PopulateUserProfiles' => [ 'املى_فايلات_اليوزرات' ],
	'RemoveAvatar' => [ 'شيل_Avatar' ],
	'SendBoardBlast' => [ 'ابعت_Board_Blast' ],
	'TopFansByStatistic' => [ 'اعلا_المعجبين_بالاحصائيات' ],
	'TopUsers' => [ 'اعلا_يوزرات' ],
	'TopUsersRecent' => [ 'اجدد_اعلا_يوزرات' ],
	'ToggleUserPage' => [ 'تغيير_صفحة_يوزر' ],
	'UpdateEditCounts' => [ 'تحديث_عد_التعديلات' ],
	'UpdateProfile' => [ 'تحديث_الپروفايل' ],
	'UploadAvatar' => [ 'أپلود_Avatar' ],
	'UserBoard' => [ 'لوحة_اليوزر' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'EditProfile' => [ 'نمایگ_ئی_دستکاری_کورتین' ],
	'PopulateUserProfiles' => [ 'کارمرزوکی_نمایگ_ئی_تولید_کورتین' ],
	'RemoveAvatar' => [ 'آواتار_ئی_پاک_کورتین' ],
	'TopUsers' => [ 'گیهتیرین_کامرزوکان' ],
	'TopUsersRecent' => [ 'آخیرین_گیهتیرین_کارمرزوکان' ],
	'UpdateEditCounts' => [ 'دستکاری_هیسابی_نۆک_کورتین' ],
	'UpdateProfile' => [ 'نمایگ_ئی_نۆک_کورتین' ],
	'UploadAvatar' => [ 'آواتار_ئی_نۆک_کورتین' ],
	'UserBoard' => [ 'کارمرزوک_ئی_تخته' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'EditProfile' => [ 'Uredi_profil' ],
	'GenerateTopUsersReport' => [ 'Napravi_izvještaj_top_korisnika' ],
	'PopulateUserProfiles' => [ 'Popuni_profile_korisnika' ],
	'RemoveAvatar' => [ 'Ukloni_sličicu' ],
	'SendBoardBlast' => [ 'Pošalji_mnogo_poruka' ],
	'TopFansByStatistic' => [ 'Najbolji_obožavatelji' ],
	'TopUsers' => [ 'Top_korisnici' ],
	'TopUsersRecent' => [ 'Skorašnji_top_korisnici' ],
	'ToggleUserPage' => [ 'Prekidač_za_korisničku_stranicu' ],
	'UpdateEditCounts' => [ 'Ažuriraj_broj_izmjena' ],
	'UpdateProfile' => [ 'Ažuriraj_profil' ],
	'UploadAvatar' => [ 'Postavi_sličicu' ],
	'UserBoard' => [ 'Korisnička_tabla' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'EditProfile' => [ 'Profil_bearbeiten' ],
	'GenerateTopUsersReport' => [ 'Top-Benutzer-Bericht_erstellen' ],
	'PopulateUserProfiles' => [ 'Populäre_Profile' ],
	'RemoveAvatar' => [ 'Avatar_entfernen' ],
	'SendBoardBlast' => [ 'Nachricht_versenden' ],
	'TopFansByStatistic' => [ 'Top-Fans_nach_Statistiken' ],
	'TopUsers' => [ 'Top-Benutzer' ],
	'TopUsersRecent' => [ 'Aktuelle_Top-Benutzer' ],
	'ToggleUserPage' => [ 'Benutzerseitenumschaltung' ],
	'UpdateEditCounts' => [ 'Bearbeitungszähler_aktualisieren' ],
	'UpdateProfile' => [ 'Profil_aktualisieren' ],
	'UploadAvatar' => [ 'Avatar_hochladen' ],
	'UserBoard' => [ 'Benutzerboard' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'EditProfile' => [ 'ProfiliBıvurne' ],
	'RemoveAvatar' => [ 'AvatariWedare' ],
	'UpdateProfile' => [ 'ProfiliRocaneKe' ],
	'UploadAvatar' => [ 'AvatarBarKe' ],
	'UserBoard' => [ 'DêsêKarberi' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'EditProfile' => [ 'ویرایش_نمایه' ],
	'PopulateUserProfiles' => [ 'تولید_نمایه_کاربر' ],
	'RemoveAvatar' => [ 'حذف_آواتار' ],
	'TopUsers' => [ 'کاربران_برتر' ],
	'TopUsersRecent' => [ 'کاربر_برتر_اخیر' ],
	'UpdateEditCounts' => [ 'تجدید_شمار_ویرایش' ],
	'UpdateProfile' => [ 'تجدید_نمایه' ],
	'UploadAvatar' => [ 'تجدید_آواتار' ],
	'UserBoard' => [ 'تخته_کاربر' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'EditProfile' => [ 'Muokkaa_profiilia' ],
	'RemoveAvatar' => [ 'Poista_avatar' ],
	'UpdateProfile' => [ 'Päivitä_käyttäjäprofiili' ],
	'UploadAvatar' => [ 'Lataa_avatar' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'PopulateUserProfiles' => [ 'Populäri Profil' ],
	'RemoveAvatar' => [ 'Avatar ewägmache' ],
	'TopFansByStatistic' => [ 'Top-Fans no Statischtik' ],
	'TopUsers' => [ 'Top-Benutzer' ],
	'TopUsersRecent' => [ 'Letschte Top-Benutzer' ],
	'ToggleUserPage' => [ 'ToggleBenutzersyte' ],
	'UpdateEditCounts' => [ 'Bearbeitigszeller aktualisiere' ],
	'UpdateProfile' => [ 'Profil aktualisiere' ],
	'UploadAvatar' => [ 'Avatar uffelade' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'EditProfile' => [ 'Profil_wobdźěłać' ],
	'RemoveAvatar' => [ 'Awatar_wotstronić' ],
	'SendBoardBlast' => [ 'Powěsć_pósłać' ],
	'TopUsers' => [ 'Najlěpši_wužiwarjo' ],
	'TopUsersRecent' => [ 'Aktualni_najlěpši_wužiwarjo' ],
	'ToggleUserPage' => [ 'Wužiwarsku_stronu_přepinać' ],
	'UpdateProfile' => [ 'Profil_aktualizować' ],
	'UploadAvatar' => [ 'Awatar_nahrać' ],
	'UserBoard' => [ 'Wužiwarska_deska' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'EditProfile' => [ 'Uredi_profil' ],
	'GenerateTopUsersReport' => [ 'Napravi_izvještaj_top_suradnika' ],
	'PopulateUserProfiles' => [ 'Popuni_profile_suradnika' ],
	'RemoveAvatar' => [ 'Ukloni_sličicu' ],
	'SendBoardBlast' => [ 'Pošalji_puno_poruka' ],
	'TopFansByStatistic' => [ 'Najbolji_obožavatelji' ],
	'TopUsers' => [ 'Top_suradnici' ],
	'TopUsersRecent' => [ 'Skorašnji_top_suradnici' ],
	'ToggleUserPage' => [ 'Prekidač_za_stranicu_suradnika' ],
	'UpdateEditCounts' => [ 'Ažuriraj_broj_izmjena' ],
	'UpdateProfile' => [ 'Ažuriraj_profil' ],
	'UploadAvatar' => [ 'Postavi_sličicu' ],
	'UserBoard' => [ 'Tabla_suradnika' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'PopulateUserProfiles' => [ 'MetePwofilItilizatè' ],
	'RemoveAvatar' => [ 'RetireAvata' ],
	'TopFansByStatistic' => [ 'PiGwoFanatikPaEstatistik' ],
	'TopUsers' => [ 'PiGwoItilizatè' ],
	'TopUsersRecent' => [ 'PiGwoItilizatèResan' ],
	'ToggleUserPage' => [ 'BalansePajItilizatè' ],
	'UpdateEditCounts' => [ 'MeteNonmModifikasyonAjou' ],
	'UpdateProfile' => [ 'MetePwofilAjou' ],
	'UploadAvatar' => [ 'ChajeAvata' ],
	'UserBoard' => [ 'TabloItilizatè' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'UserBoard' => [ 'Felhasználói_üzenőfal' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'PopulateUserProfiles' => [ 'Impler_profilos_de_usatores' ],
	'RemoveAvatar' => [ 'Remover_avatar' ],
	'SendBoardBlast' => [ 'Inviar_colpo_de_tabuliero' ],
	'TopFansByStatistic' => [ 'Admiratores_supreme_per_statistica' ],
	'TopUsers' => [ 'Usatores_supreme' ],
	'TopUsersRecent' => [ 'Usatores_supreme_recente' ],
	'ToggleUserPage' => [ 'Cambiar_pagina_de_usator' ],
	'UpdateEditCounts' => [ 'Actualisar_numeros_de_modificationes' ],
	'UpdateProfile' => [ 'Actualisar_profilos' ],
	'UploadAvatar' => [ 'Cargar_avatar' ],
	'UserBoard' => [ 'Tabuliero_de_usator' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'UpdateProfile' => [ 'AggiornaProfilo' ],
	'UploadAvatar' => [ 'CaricaAvatar' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'PopulateUserProfiles' => [ '利用者プロフィールの入力' ],
	'RemoveAvatar' => [ 'アバターの削除' ],
	'SendBoardBlast' => [ '一斉メッセージの送信' ],
	'TopFansByStatistic' => [ '統計別上位ファン' ],
	'TopUsers' => [ '上位利用者' ],
	'TopUsersRecent' => [ '最近の上位利用者' ],
	'ToggleUserPage' => [ '利用者ページの切り替え' ],
	'UpdateEditCounts' => [ '編集回数の更新' ],
	'UpdateProfile' => [ 'プロフィールの更新' ],
	'UploadAvatar' => [ 'アバターのアップロード' ],
	'UserBoard' => [ '利用者掲示板' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'TopUsers' => [ 'საუკეთესო_მომხმარებლები' ],
	'UpdateProfile' => [ 'პროფილის_განახლება' ],
	'UploadAvatar' => [ 'ავატარის_ატვირთვა' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'TopUsers' => [ 'អ្នកប្រើប្រាស់សកម្មបំផុត' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'EditProfile' => [ '프로필편집' ],
	'GenerateTopUsersReport' => [ '상위사용자보고서생성' ],
	'PopulateUserProfiles' => [ '인기사용자프로필' ],
	'RemoveAvatar' => [ '아바타제거' ],
	'TopFansByStatistic' => [ '통계별상위팬' ],
	'TopUsers' => [ '상위사용자' ],
	'TopUsersRecent' => [ '상위사용자최근' ],
	'ToggleUserPage' => [ '사용자문서전환' ],
	'UpdateEditCounts' => [ '편집횟수고침' ],
	'UpdateProfile' => [ '프로필고침' ],
	'UploadAvatar' => [ '아바타올리기' ],
	'UserBoard' => [ '사용자게시판' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'EditProfile' => [ 'Profil_änneren' ],
	'GenerateTopUsersReport' => [ 'Lëscht_vun_den_Top-Benotzer_generéieren' ],
	'PopulateUserProfiles' => [ 'Benotzerprofiler_ausfëllen' ],
	'RemoveAvatar' => [ 'Avatar_ewechhuelen' ],
	'SendBoardBlast' => [ 'Fonctioun_\\\"Boardblast\\\"_benotzen' ],
	'TopUsers' => [ 'Top-Benotzer' ],
	'TopUsersRecent' => [ 'Rezent_Top-Benotzer' ],
	'UpdateEditCounts' => [ 'Zuel_vun_den_Ännerungen_aktualiséieren' ],
	'UpdateProfile' => [ 'Profil_eroplueden' ],
	'UploadAvatar' => [ 'Avatar_eroplueden' ],
	'UserBoard' => [ 'Benotzer-Panneau' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'EditProfile' => [ 'УредиПрофил' ],
	'GenerateTopUsersReport' => [ 'СоздајИзвештајЗаНајистакнатиКорисници' ],
	'PopulateUserProfiles' => [ 'ПополниКорисничкиПрофили' ],
	'RemoveAvatar' => [ 'ИзбришиАватар' ],
	'SendBoardBlast' => [ 'ИстакниНаТаблата' ],
	'TopFansByStatistic' => [ 'НајкотираниОбожавателиПоСтатистика' ],
	'TopUsers' => [ 'НајкотираниКорисници' ],
	'TopUsersRecent' => [ 'СкорешниНајкотираниКорисници' ],
	'ToggleUserPage' => [ 'ПрефлиКорисничкаСтраница' ],
	'UpdateEditCounts' => [ 'ОбновиГоБројачотНаУредувања' ],
	'UpdateProfile' => [ 'ОбновиГоПрофилот' ],
	'UploadAvatar' => [ 'ПодигниАватар' ],
	'UserBoard' => [ 'КорисничкаТабла' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'RemoveAvatar' => [ 'അവതാരം_ഒഴിവാക്കുക' ],
	'TopUsers' => [ 'ഉന്നത‌‌ഉപയോക്താക്കൾ' ],
	'UpdateEditCounts' => [ 'തിരുത്തലുകളുടെയെണ്ണംപുതുക്കുക' ],
	'UploadAvatar' => [ 'അപ്‌‌ലോഡ്അവതാരം' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'PopulateUserProfiles' => [ 'सदस्यचरित्रलेखमाहितीपाठवा' ],
	'RemoveAvatar' => [ 'अवतारसोडा' ],
	'SendBoardBlast' => [ 'कार्यकारिणीखरडपट्टीपाठवा' ],
	'TopFansByStatistic' => [ 'सांख्यिकियशिरोमणीचाहते' ],
	'TopUsers' => [ 'शिरोमणीसदस्य' ],
	'TopUsersRecent' => [ 'अलिकडीलशिरोमणी' ],
	'ToggleUserPage' => [ 'सदस्यपानबदलतेकरा' ],
	'UpdateEditCounts' => [ 'संपादनमोजणीअद्ययावतकरा' ],
	'UpdateProfile' => [ 'चरित्रलेखअद्ययावतकरा' ],
	'UploadAvatar' => [ 'अवतारचढवा' ],
	'UserBoard' => [ 'सदस्यबोर्ड' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'PopulateUserProfiles' => [ 'Instansier_brukerprofiler' ],
	'RemoveAvatar' => [ 'Fjern_profilbilde' ],
	'UpdateEditCounts' => [ 'Oppdater_redigeringsantall' ],
	'UpdateProfile' => [ 'Oppdater_profil' ],
	'UploadAvatar' => [ 'Oppdater_profilbilde' ],
	'UserBoard' => [ 'Brukerstyre' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'EditProfile' => [ 'Profiel_bewarken' ],
	'GenerateTopUsersReport' => [ 'Topgebrukersrapport_genereren' ],
	'PopulateUserProfiles' => [ 'Gebrukersprofielen_vullen' ],
	'RemoveAvatar' => [ 'Avatar_vortdoon' ],
	'SendBoardBlast' => [ 'Multibericht_versturen' ],
	'TopFansByStatistic' => [ 'Toplieste_fans_per_staotistieken' ],
	'TopUsers' => [ 'Toplieste_gebrukers' ],
	'TopUsersRecent' => [ 'Toplieste_leste_gebrukers' ],
	'ToggleUserPage' => [ 'Gebrukerszied_wisselen' ],
	'UpdateEditCounts' => [ 'Bewarkingsteller_biewarken' ],
	'UpdateProfile' => [ 'Profiel_biewarken' ],
	'UploadAvatar' => [ 'Avatar_derbie_doon' ],
	'UserBoard' => [ 'Gebrukersbord' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'EditProfile' => [ 'ProfielBewerken' ],
	'GenerateTopUsersReport' => [ 'ToplijstGebruikersAanmaken' ],
	'PopulateUserProfiles' => [ 'GebruikersprofielenVullen' ],
	'RemoveAvatar' => [ 'AvatarVerwijderen' ],
	'SendBoardBlast' => [ 'MultiBerichtVersturen' ],
	'TopFansByStatistic' => [ 'ToplijstFansPerStatistieken' ],
	'TopUsers' => [ 'ToplijstGebruikers' ],
	'TopUsersRecent' => [ 'ToplijstRecenteGebruikers' ],
	'ToggleUserPage' => [ 'GebruikerspaginaWisselen' ],
	'UpdateEditCounts' => [ 'BewerkingstellersBijwerken' ],
	'UpdateProfile' => [ 'ProfielBijwerken' ],
	'UploadAvatar' => [ 'AvatarUploaden' ],
	'UserBoard' => [ 'Gebruikersboard' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'EditProfile' => [ 'Edytujprofil' ],
	'RemoveAvatar' => [ 'UsuńAvatar' ],
];

/** Pashto (پښتو) */
$specialPageAliases['ps'] = [
	'UpdateProfile' => [ 'پېژنليک تازه کول' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'PopulateUserProfiles' => [ 'NaplniťPoužívateľskéProfily' ],
	'RemoveAvatar' => [ 'OdstrániťFotku' ],
	'SendBoardBlast' => [ 'PoslaťBoardBlast' ],
	'TopFansByStatistic' => [ 'NajFanúšikoviaPodľaŠtatistiky' ],
	'TopUsers' => [ 'NajPoužívatelia' ],
	'TopUsersRecent' => [ 'NajNedávniPoužívatelia' ],
	'ToggleUserPage' => [ 'PrepnúťPoužívateľskúStránku' ],
	'UpdateEditCounts' => [ 'AktualizovaťPočtyÚprav' ],
	'UpdateProfile' => [ 'AktualizovaťProfil' ],
	'UploadAvatar' => [ 'AktualizovaťFotku' ],
	'UserBoard' => [ 'PoužívateľskéFórum' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'EditProfile' => [ 'Уреди_профил' ],
	'GenerateTopUsersReport' => [ 'Направи_извештај_најбољих_корисника' ],
	'PopulateUserProfiles' => [ 'Попуни_профиле_корисника' ],
	'RemoveAvatar' => [ 'Уклони_сличицу' ],
	'SendBoardBlast' => [ 'Пошаљи_много_порука' ],
	'TopFansByStatistic' => [ 'Најбољи_обожаваоци' ],
	'TopUsers' => [ 'Најбољи_корисници', 'Топ_корисници' ],
	'TopUsersRecent' => [ 'Скорашњи_најбољи_корисници' ],
	'ToggleUserPage' => [ 'Прекидач_за_корисничку_страницу' ],
	'UpdateEditCounts' => [ 'Ажурирај_број_измена' ],
	'UpdateProfile' => [ 'Ажурирај_профил' ],
	'UploadAvatar' => [ 'Постави_сличицу' ],
	'UserBoard' => [ 'Корисничка_табла' ],
];

/** Serbian (Latin script) (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'EditProfile' => [ 'Uredi_profil' ],
	'GenerateTopUsersReport' => [ 'Napravi_izveštaj_najboljih_korisnika' ],
	'PopulateUserProfiles' => [ 'Popuni_profile_korisnika' ],
	'RemoveAvatar' => [ 'Ukloni_sličicu' ],
	'SendBoardBlast' => [ 'Pošalji_mnogo_poruka' ],
	'TopFansByStatistic' => [ 'Najbolji_obožavaoci' ],
	'TopUsers' => [ 'Najbolji_korisnici', 'Top_korisnici' ],
	'TopUsersRecent' => [ 'Skorašnji_najbolji_korisnici' ],
	'ToggleUserPage' => [ 'Prekidač_za_korisničku_stranicu' ],
	'UpdateEditCounts' => [ 'Ažuriraj_broj_izmena' ],
	'UpdateProfile' => [ 'Ažuriraj_profil' ],
	'UploadAvatar' => [ 'Postavi_sličicu' ],
	'UserBoard' => [ 'Korisnička_tabla' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'EditProfile' => [ 'Redigera_profil' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'PopulateUserProfiles' => [ 'JazaProfailizaMtumiaji' ],
];

/** Thai (ไทย) */
$specialPageAliases['th'] = [
	'UpdateProfile' => [ 'อัปเดตโปรไฟล์' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'PopulateUserProfiles' => [ 'Paramihin ang mga talaan ng katangian ng tagagamit' ],
	'RemoveAvatar' => [ 'Tanggalin ang huwaran', 'Tanggalin ang abatar' ],
	'TopFansByStatistic' => [ 'Tampok na mga tagahanga ayon sa estadistika' ],
	'TopUsers' => [ 'Tampok na mga tagagamit' ],
	'TopUsersRecent' => [ 'Kamakailang tampok na mga tagagamit' ],
	'ToggleUserPage' => [ 'Galawin ang pahina ng tagagamit' ],
	'UpdateEditCounts' => [ 'Isapanahon ang bilang ng pamamatnugot' ],
	'UpdateProfile' => [ 'Isapanahon ang talaan ng katangian' ],
	'UploadAvatar' => [ 'Ikarga ang huwaran' ],
	'UserBoard' => [ 'Pisara ng tagagamit' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'PopulateUserProfiles' => [ 'KullanıcıProfiliDoldur' ],
	'RemoveAvatar' => [ 'AvatarKaldır' ],
	'ToggleUserPage' => [ 'KullanıcıSayfasıDeğiştir' ],
	'UpdateEditCounts' => [ 'DeğişiklikSayılarınıGüncelle' ],
	'UpdateProfile' => [ 'ProfilGüncelle' ],
	'UploadAvatar' => [ 'AvatarYükle' ],
	'UserBoard' => [ 'KullanıcıPanosu' ],
];

/** Simplified Chinese (中文（简体)) */
$specialPageAliases['zh-hans'] = [
	'EditProfile' => [ '编辑简介' ],
	'GenerateTopUsersReport' => [ '生成置顶用户报告' ],
	'PopulateUserProfiles' => [ '填充用户简介' ],
	'RemoveAvatar' => [ '删除头像' ],
	'SendBoardBlast' => [ '递送损坏的董事会' ],
	'TopFansByStatistic' => [ '基于统计结果的置顶爱好者' ],
	'TopUsers' => [ '置顶用户' ],
	'TopUsersRecent' => [ '置顶用户报告' ],
	'ToggleUserPage' => [ '开启关闭用户页' ],
	'UpdateEditCounts' => [ '更新编辑计数' ],
	'UpdateProfile' => [ '更新简介' ],
	'UploadAvatar' => [ '更新头像' ],
	'UserBoard' => [ '用户董事会' ],
];

/** Traditional Chinese (中文（繁體)) */
$specialPageAliases['zh-hant'] = [
	'EditProfile' => [ '編輯簡介' ],
	'GenerateTopUsersReport' => [ '生成使用者報告頭' ],
	'PopulateUserProfiles' => [ '填寫使用者資訊' ],
	'RemoveAvatar' => [ '移除頭像' ],
	'TopUsers' => [ '前置使用者' ],
	'TopUsersRecent' => [ '新近前置使用者' ],
	'ToggleUserPage' => [ '啟閉使用者頁面' ],
	'UpdateEditCounts' => [ '更新編輯數位' ],
	'UploadAvatar' => [ '上載頭像' ],
	'UserBoard' => [ '使用者理事會' ],
];
